Summary:	IBM PKCS#11 engine for OpenSSL
Summary(pl.UTF-8):	Silnik IBM PKCS#11 dla OpenSSL-a
Name:		openssl-engine-ibmpkcs11
Version:	1.0.2
Release:	1
License:	OpenSSL (Apache-like)
Group:		Libraries
Source0:	https://downloads.sourceforge.net/opencryptoki/openssl-ibmpkcs11-%{version}.tar.gz
# Source0-md5:	0aefdbf4cf74bd043710be5ede678646
URL:		https://opencryptoki.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	libtool >= 2:2
BuildRequires:	openssl-devel >= 1.1.0
BuildRequires:	pkgconfig
Requires:	openssl >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		enginesdir	%(pkg-config --variable=enginesdir libcrypto)

%description
IBM PKCS#11 engine for OpenSSL.

%description -l pl.UTF-8
Silnik IBM PKCS#11 dla OpenSSL-a.

%prep
%setup -q -n openssl-ibmpkcs11-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--libdir=%{enginesdir}
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{enginesdir}/ibmpkcs11.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README openssl.cnf.sample
%attr(755,root,root) %{enginesdir}/ibmpkcs11.so
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openssl-engine-ibmpkcs11.git;a=log;h=master

* Tue Aug 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 2cb5c84
- updated to 1.0.2, detect openssl engines dir

* Sun Jun 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 9682cdf
- new

